#!/bin/bash

#
# this script runs jsl for the given path the way we want it to do.. so no min files n stuff
#

# jsl could be in the gentoo prefix install and run from eclipse
export PATH="$PATH:/Volumes/stuff/gentoo/usr/bin"

# globals
jsl=$1
path=$2
exit_code=0

# start finding and send to process function
for file in $(find $path -name *.js -a -not -name *-min.js ); do

    $jsl -nosummary -nologo -process $file -output-format 'File "__FILE__", line __LINE__: __ERROR__' > /tmp/jsl.log
    if [ $? -ne 0 ]; then
        cat /tmp/jsl.log
        exit_code=1
    fi
done

exit $exit_code

