#!/usr/bin/env python

from iqportal.tnt.test.controllers import TntWaveController
from basesoft.web.contrib.account.models import Account
from basesoft.web.core.util.db import Session
from django.conf import settings
from iqportal.tnt.report.schedule import AggregateResponsesTask
from iqportal.iqube.core.controllers import ProjectController
from iqportal.iqube.core.models import DataSource

from sqlalchemy import create_engine

# gotta be careful where running this
if settings._wrapped.SETTINGS_MODULE  not in\
['basesoft.settings.stable', 'basesoft.settings.testing', 'basesoft.settings.sandbox']:

    sa_session = Session()
    account = sa_session.query(Account).filter(Account.name=='sysadmin').one()

    print "populating tnt report data.."
    c = TntWaveController(sa_session, account_id=account.id)
    c.populate_for_reports()

