
#
# DEPRECATED! shouldnt use reportlab anymore
#

# based on http://openobject.com/wiki/index.php/Developers:Developper%27s_Book/Reports/ReportsUnicode
import os

from reportlab import rl_config
rl_config.warnOnMissingFontGlyphs = 0

from reportlab.pdfbase import pdfmetrics
from reportlab.pdfbase.ttfonts import TTFont
from reportlab.lib.fonts import addMapping
from django.conf import settings

enc = 'UTF-8'

def find_font(name):
    """
    helper function to find a ttf font (also used in rte make image)
    """

    if settings.FONTS_PATH is None:
        settings.FONTS_PATH = '/usr/share/fonts/'

    # try to find in /usr/share/font/somewhere
    for root, dirs, files in os.walk(settings.FONTS_PATH):
        for file in files:
            if file == name:
                return os.path.join(root, file)

    # look in the 'fonts' this in iqportal
    for root, dirs, files in os.walk(os.path.join(os.path.dirname(__file__), 'fonts')):
        for file in files:
            if file == name:
                return os.path.join(root, file)

    raise Exception('font not found: %s' % name);

#
# register reportlab fonts if fonts path is defined
#

if settings.FONTS_PATH is not None:

    # dejavu sets sans, serif etc
    pdfmetrics.registerFont(TTFont('Sans', find_font('DejaVuSans.ttf')))
    pdfmetrics.registerFont(TTFont('Sans-BoldItalic', find_font('DejaVuSans-BoldOblique.ttf')))
    pdfmetrics.registerFont(TTFont('Sans-Bold', find_font('DejaVuSans-Bold.ttf')))
    pdfmetrics.registerFont(TTFont('Sans-Italic', find_font('DejaVuSans-Oblique.ttf')))

    # register the bold and italic fonts for 'Sans', so they are shown properly in a paragraph that has RML with <b>, <i>, etc
    addMapping('Sans', 0, 0, 'Sans') # normal
    addMapping('Sans', 0, 1, 'Sans-Italic') # italic
    addMapping('Sans', 1, 0, 'Sans-Bold') # bold
    addMapping('Sans', 1, 1, 'Sans-BoldItalic') # bold italic

    pdfmetrics.registerFont(TTFont('Serif', find_font('DejaVuSerif.ttf')))
    pdfmetrics.registerFont(TTFont('Serif-BoldItalic',find_font('DejaVuSerif-BoldItalic.ttf')))
    pdfmetrics.registerFont(TTFont('Serif-Bold', find_font('DejaVuSerif-Bold.ttf')))
    pdfmetrics.registerFont(TTFont('Serif-Italic', find_font('DejaVuSerif-Italic.ttf')))

    addMapping('Serif', 0, 0, 'Serif') # normal
    addMapping('Serif', 0, 1, 'Serif-Italic') # italic
    addMapping('Serif', 1, 0, 'Serif-Bold') # bold
    addMapping('Serif', 1, 1, 'Serif-BoldItalic') # bold italic

    pdfmetrics.registerFont(TTFont('Mono', find_font('DejaVuSansMono.ttf')))
    pdfmetrics.registerFont(TTFont('Mono-BoldItalic', find_font('DejaVuSansMono-BoldOblique.ttf')))
    pdfmetrics.registerFont(TTFont('Mono-Bold', find_font('DejaVuSansMono-Bold.ttf')))
    pdfmetrics.registerFont(TTFont('Mono-Italic', find_font('DejaVuSansMono-Oblique.ttf')))

    addMapping('Mono', 0, 0, 'Mono') # normal
    addMapping('Mono', 0, 1, 'Mono-Italic') # italic
    addMapping('Mono', 1, 0, 'Mono-Bold') # bold
    addMapping('Mono', 1, 1, 'Mono-BoldItalic') # bold italic

    # corefonts (add more when needed)
    pdfmetrics.registerFont(TTFont('corefonts-arial', find_font('arial.ttf')))

    # chinese fonts
    pdfmetrics.registerFont(TTFont('kaitim-big5', find_font('bkai00mp.ttf')))
    pdfmetrics.registerFont(TTFont('mingti2l-big5', find_font('bsmi00lp.ttf')))
    pdfmetrics.registerFont(TTFont('sungtil-gb', find_font('gbsn00lp.ttf')))
    pdfmetrics.registerFont(TTFont('kaitim-gb', find_font('gkai00mp.ttf')))

    # korean fonts
    pdfmetrics.registerFont(TTFont('batang', find_font('batang.ttf')))
    pdfmetrics.registerFont(TTFont('dotum', find_font('dotum.ttf')))
    pdfmetrics.registerFont(TTFont('gulim', find_font('gulim.ttf')))
    pdfmetrics.registerFont(TTFont('hline', find_font('hline.ttf')))

    # japanese
    pdfmetrics.registerFont(TTFont('sazanami-gothic', find_font('sazanami-gothic.ttf')))
    pdfmetrics.registerFont(TTFont('sazanami-mincho', find_font('sazanami-mincho.ttf')))
    pdfmetrics.registerFont(TTFont('msmincho', find_font('msmincho.ttf')))

    # hong kong
    pdfmetrics.registerFont(TTFont('pmingliu', find_font('pmingliu.ttf')))

    # thai
    pdfmetrics.registerFont(TTFont('Garuda', find_font('Garuda.ttf')))
    pdfmetrics.registerFont(TTFont('Garuda-BoldItalic', find_font('Garuda-BoldOblique.ttf')))
    pdfmetrics.registerFont(TTFont('Garuda-Bold', find_font('Garuda-Bold.ttf')))
    pdfmetrics.registerFont(TTFont('Garuda-Italic', find_font('Garuda-Oblique.ttf')))

    addMapping('Garuda', 0, 0, 'Garuda') # normal
    addMapping('Garuda', 0, 1, 'Garuda-Italic') # italic
    addMapping('Garuda', 1, 0, 'Garuda-Bold') # bold
    addMapping('Garuda', 1, 1, 'Garuda-BoldItalic') # bold italic
