# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

"""
Settings for the IQPortal Django project
"""

from basesoft.settings.settings import *
from pvcycle.settings.settings import *

DEBUG = False
TEMPLATE_DEBUG = DEBUG

INSTALLED_APPS = BASE_APPS + CLIENT_APPS + PVCYCLE_APPS + PVCYCLE_UAT + UAT_APPS

DB_CONNSTR = 'mysql://iqportal:iqportal@db4.vclusternet:3306/iqportal_acceptance?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://iqportal_ro:iqportal@db4.vclusternet:3306/iqportal_acceptance?charset=utf8'

BASE_URL = 'http://iqportal_acceptance.vclusternet/';

MONDRIAN_XMLA_SERVER = ('db3.vclusternet', 8080)
MONDRIAN_XMLA_PATH = '/iqube-acceptance/xmla'
IQUBE_SERVLET = "http://db3.vclusternet:8080/iqube-acceptance/IQubeXmlRpcServlet"

STATIC_SQUASHED_ROOT = '/var/www/iqportal-acceptance.basesoft.com/static'

WRITABLE_DIRECTORY = '/home/clients/iqportal/acceptance/'
IQREPORT_GRAPH_LOCATION = WRITABLE_DIRECTORY+'iqreport/'
FILE_REPOSITORY = WRITABLE_DIRECTORY + 'files/'
TMP_FILE_REPOSITORY = WRITABLE_DIRECTORY + 'temp/'
CACHE_DIR = WRITABLE_DIRECTORY + 'cache/'
CONTACT_IMPORT_DIR = os.path.join(WRITABLE_DIRECTORY, 'contacts/')

SYSLOG_IDENT = 'iqportal-acceptance'

SCHEDULER_SERVER_PORT = 8044
SCHEDULER_SERVER_XMLRPC = 'http://ws3.vclusternet:8041/'

EMAIL_SUBJECT_PREFIX = '[iqportal-acceptance] '

LOGGER_SYSLOG_LEVEL = logging.DEBUG

EMAIL_HOST_TNT = "82.199.92.138"
EMAIL_PORT_TNT = 5025

VIRTUAL_DATE = os.path.join(WRITABLE_DIRECTORY, 'virtual_date_acceptance.txt')
