# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

"""
Settings for the IQPortal Django project
"""

from basesoft.settings.settings import *
from pvcycle.settings.settings import *

DEBUG = False
TEMPLATE_DEBUG = DEBUG

DB_CONNSTR = 'mysql://iqportalacceptan:PRanUt7e@db.clusternet:3306/iqportal_acceptance?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://iqportalacc_ro:PRanUt7e@db4.clusternet:3306/iqportal_acceptance?charset=utf8'

BASE_URL = 'http://iqportal-acceptance.basesoft.com/';

MONDRIAN_XMLA_SERVER = ('db4.clusternet', 8080)
MONDRIAN_XMLA_PATH = '/iqube-acceptance/xmla'
IQUBE_SERVLET = "http://db4.clusternet:8080/iqube-acceptance/IQubeXmlRpcServlet"

STATIC_SQUASHED_ROOT = '/var/www/iqportal-acceptance.basesoft.com/static'

WRITABLE_DIRECTORY = '/home/clients/iqportal/acceptance/'
IQREPORT_GRAPH_LOCATION = WRITABLE_DIRECTORY+'iqreport/'
FILE_REPOSITORY = WRITABLE_DIRECTORY + 'files/'
TMP_FILE_REPOSITORY = WRITABLE_DIRECTORY + 'temp/'
CACHE_DIR = WRITABLE_DIRECTORY + 'cache/'

SYSLOG_IDENT = 'iqportal-acceptance'

SCHEDULER_SERVER_PORT = 8044
SCHEDULER_SERVER_XMLRPC = 'http://ws4.clusternet:8044/'
SCHEDULER_TASKS_ENABLED = False

EMAIL_SUBJECT_PREFIX = '[iqportal-acceptance] '

# this is needed for the ticketing app
TRAC_CONNSTR = 'http://IQPortal:m8metrU3@trac.iqportal.basesoft.com/login/xmlrpc'
TRAC_IQPORTAL_VERSION = 'acceptance'
TRAC_DB_CONNSTR = 'mysql://trac:tePRedutha2a@db.clusternet:3306/trac_iqportal?charset=utf8'
TRAC_EXTERNAL_URL = 'https://ticketing-iqportal.basesoft.com/'

EMAIL_FROM_TNT = 'clm@tnt.com'
EMAIL_HOST_TNT = "82.199.92.138"
EMAIL_PORT_TNT = 5025

LUCIDDB_URL = "jdbc:luciddb:http://db-ro.clusternet"
LUCIDDB_USERNAME = "sa"
LUCIDDB_PASSWORD = "tdGeHcO0"
LUCIDDB_DATASOURCE_PROTOCOL = "luciddb"
LUCIDDB_DATASOURCE_HOST = "db-ro.clusternet"
LUCIDDB_DATASOURCE_PORT = "8034"
LUCIDDB_PG2_CONNSTR = "host='db-ro.clusternet' port=8035 dbname='LOCALDB' user='sa' password='tdGeHcO0'"
LUCIDDB_SCHEMA_PREFIX = 'ACCEPTANCE_'

INSTALLED_APPS = INSTALLED_APPS + PVCYCLE_APPS + PVCYCLE_UAT + UAT_APPS
#INSTALLED_APPS = BASE_APPS + IQUBE_APPS + IQREPORT_APPS + PVCYCLE_APPS + PVCYCLE_UAT + UAT_APPS

VIRTUAL_DATE = os.path.join(WRITABLE_DIRECTORY, 'virtual_date.txt')

ORDER_OGONE_POST = 'https://secure.ogone.com/ncol/test/orderstandard.asp'

CPDB_DOMAIN_HOSTS = {
    'PV CYCLE': 'pvcycle-acceptance.basesoft.com'
}
