# Copyright (c) 2011 BaseSoft B.V.
# See LICENSE for details.

"""
iqportal-demo.basesoft.com settings
"""

from basesoft.settings.settings import *

DEBUG = False
TEMPLATE_DEBUG = DEBUG

DB_CONNSTR = 'mysql://iqportaldemo:xJKg2dbv@db.clusternet:3306/iqportal_demo?charset=utf8'
DB_CONNSTR_READONLY = 'mysql://iqportaldemo_ro:xJKg2dbv@db-ro.clusternet:3306/iqportal_demo?charset=utf8'

BASE_URL = 'http://iqportal-demo.basesoft.com/'

MONDRIAN_XMLA_SERVER = ('db3.clusternet', 8080)
MONDRIAN_XMLA_PATH = '/iqube-demo/xmla'
IQUBE_SERVLET = "http://db3.clusternet:8080/iqube-demo/IQubeXmlRpcServlet"

STATIC_SQUASHED_ROOT = '/var/www/iqportal-demo.basesoft.com/static'

WRITABLE_DIRECTORY = '/home/clients/iqportal/demo/'
IQREPORT_GRAPH_LOCATION = WRITABLE_DIRECTORY+'iqreport/'
FILE_REPOSITORY = WRITABLE_DIRECTORY + 'files/'
TMP_FILE_REPOSITORY = WRITABLE_DIRECTORY + 'temp/'
CACHE_DIR = WRITABLE_DIRECTORY + 'cache/'

SYSLOG_IDENT = 'iqportal-demo'

SCHEDULER_SERVER_PORT = 8043
SCHEDULER_SERVER_XMLRPC = 'http://ws3.clusternet:8043/'

EMAIL_SUBJECT_PREFIX = '[iqportal-demo] '

LOGGER_SYSLOG_LEVEL = logging.DEBUG

LUCIDDB_URL = "jdbc:luciddb:http://db-ro.clusternet"
LUCIDDB_USERNAME = "sa"
LUCIDDB_PASSWORD = "tdGeHcO0"
LUCIDDB_DATASOURCE_PROTOCOL = "luciddb"
LUCIDDB_DATASOURCE_HOST = "db-ro.clusternet"
LUCIDDB_DATASOURCE_PORT = "8034"
LUCIDDB_PG2_CONNSTR = "host='db-ro.clusternet' port=8035 dbname='LOCALDB' user='sa' password='tdGeHcO0'"
LUCIDDB_SCHEMA_PREFIX = 'DEMO_'

INSTALLED_APPS.extend([
    'iqportal.demo.core',
])
