# -*- coding: UTF-8 -*-

# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

# TODO: Fix this with ticket #3813


EULA = """
::
[[ExternalImage(/site_media/pvcycle.core/themes/pvcycle/media/PV-CYCLE_Logo_wo%20background_small.png)]]
::
== End User License Agreement ==
== Version 1.0 – 1 December 2013 ==

'''Please read this End User License Agreement carefully. It defines the terms of the access to and the use of the Apps.'''

This End User License Agreement ("EULA") governs the use of both the Declaration App and the Pick-up App as available on the Website of PV CYCLE. The Terms of Use, to be consulted by clicking on this link, are also applicable on the contractual relationship between the End User of the Apps and PV Cycle; they form an integral part of this EULA.

At every registration (hereafter the “Registration”) in order to get an account (hereafter the “Account”), you will be asked to confirm that you have read the Terms of Use and the End User License Agreement and that you agree to their content as binding. Your visit to the Website, your Registration in order to get an Account and each use of the Apps involve automatically the knowledge and the approval of the Terms of Use and this End User License Agreement.

 1. 1. '''Definitions'''
||'''PV CYCLE / We:'''||PV CYCLE AISBL established in Belgium, 1000 Brussels, Montoyerstraat 23 PB 2, registered with the BCE number 0893.027.827. Also referred to as "We", "Us" and "Our".||
||'''App(s):'''||Referring to either the Declaration App or the Pick-up App, or jointly to both of them.||
||'''Declaration App:'''||The App enabling the producer, as defined in article 3 of the European WEEE Directive 2012/19/EU of 4 July 2012, of photovoltaic devices to register as a producer and to make declaration of his "Put on the Market" figures for introducing new photovoltaic modules on the European market.||
||'''Pick-up App:'''||The App enabling the End User to request for picking up photovoltaic modules to be recycled and enabling end customers, collectors and recyclers to monitor and organize the pick-up process.||
||'''End User / You:'''||Person using the Apps. Also referred to as "You" and "Your".||
||'''License:'''||The rights obtained under the present EULA to use the Apps under the conditions set out in the present Agreement.||
||'''EULA / Agreement:'''||This End User License Agreement, including the provisions of the Terms of Use, to be consulted on the Website or by clicking on this link.||
||'''Terms of Use:'''||General terms and conditions for the use of the Website. These Terms of Use are also applicable to the use of the Apps.||
||'''Website:'''||The website providing the Apps: [http://extranet.pvcycle.org/ extranet.pvcycle.org]||

 2. 2. '''Grant of License'''
     1. 2.1. The present Agreement grants You a non exclusive, non transferable and temporary License to use the Apps in the manner and for the purpose described in the present Agreement.
     2. 2.2. Usage of the Apps is restricted to the End User itself. The End User does not have the right to resell or rent out the Apps, nor does he have the right to transfer, assign or purport to assign his License to third parties. By accepting the terms and conditions of the present Agreement, the End User accepts full liability and responsibility for any damage to PV CYCLE induced by any illicit resale, rental or any other use of the Apps by the End User.

 3. 3. '''Terms of Service'''
     1. 3.1. The design and programming of the Apps has been commissioned to a third party supplier. Through the development of the Apps, due care and skill has been used.
     2. 3.2. We shall endeavour to make the Apps constantly available 24 hours a day, 7 days a week. However, We cannot be liable if for any reason the Apps are unavailable for any time or for any period. Due to the nature of the Internet, amongst other reasons, We do not guarantee that Your access to the Apps will be uninterrupted, continuous and flawless. In addition, We may occasionally need to carry out repairs, maintenance or updates.
     3. 3.3. Access to the Apps may be suspended or withdrawn to or from You personally or all users temporarily or permanently at any time and without notice. We may also impose restrictions on the length and manner of usage of any part of either one of the Apps for any reason.
     4. 3.4. We do not guarantee that the Apps will be compatible with all hardware and software which You may use. We shall not be liable for damage to, or viruses or other code that may affect, any hardware, software, data or other property as a result of Your access to or use of the Apps or your obtaining any material from, or as a result of using, the Apps. We shall not be liable for the actions of third parties.
     5. 3.5. We may change or update the Apps and anything described in it without notice to You. If the need arises, We may suspend access to the Apps, or close it indefinitely.
     6. 3.6. We shall endeavour to ensure that all information and materials on the Apps are correct. We do not expressly or implicitly guarantee or represent that they are complete, accurate, up-to-date, fit for a particular purpose and, to the extent permitted by law, We do not accept any liability for any errors or omissions.
     7. 3.7. We reserve the right to agree to or refuse the registration or access to the Apps. The registration or the access may notably be refused for the following reasons:
         * The End User does not communicate the data asked for the identification or communicates incomplete or wrong data;
         * The End User tries to register many times under different pseudonyms;
         * The End User uses a third party’s identity;
         * The End User does not comply with the obligations drew up in the Terms of Use or in this End User License Agreement, did not comply with them in the past or we can reasonably assume that he will not comply with them in the future;
         * Any other reason out of which we can reasonably judge that the registration or access may not be agreed to.

 4. 4. '''Disclaimer'''
    1. 4.1. The Apps and the relevant documentation are provided AS IS and with all their faults.
    2. 4.2. To the extent permitted by law, We and Our suppliers shall not be liable for any general, special, direct, indirect, consequential, incidental or other damages to You, including loss of profits, loss of savings and any claim by any third party arising out of this EULA, even if one of Our representatives has been advised of the possibility of such damages, except in the case of wilful misconduct or fraud on Our part or that of Our suppliers.
    3. 4.3. Should We or Our suppliers be held liable by a competent court of law, notwithstanding this provision, the liability, if any, of Us or that of Our suppliers shall in any event be lmited to 10.000 EUR.

 5. 5. '''Restrictions & Liability'''
    1. 5.1. You agree to refrain from any action with respect to the Apps that:
        1. 1. is in breach of any legal provision or contractual obligation;
        2. 2. is fraudulent, criminal or unlawful;
        3. 3. is inaccurate or out-of-date;
        4. 4. might be regarded as being obscene, indecent, pornographic, vulgar, profane, racist, sexist, discriminatory, offensive, derogatory, harmful, harassing, threatening, embarrassing, malicious, abusive, hateful, menacing, defamatory, untrue or political;
        5. 5. impersonates any other person or body or misrepresents a relationship with any person or body;
        6. 6. infringes or breaches, or threatens to infringe or breach copyrights or other intellectual property rights, privacy rights or other rights of Us or any third party;
        7. 7. may be contrary to our interests;
        8. 8. is contrary to any specific rule or requirement that We stipulate on the Apps in relation to a particular part of the Apps or the Apps generally; or
        9. 9. involves Your use, delivery or transmission of any viruses, unsolicited emails, trojan horses, trap doors, back doors, easter eggs, worms, time bombs, cancelbots or computer programming routines that are intended to damage, detrimentally interfere with, surreptitiously intercept or expropriate any system, data or personal information.
    2. 5.2. You are solely responsible for compliance with any applicable laws and regulations and Your own contractual obligations to third parties.

 6. 6. '''Term & Termination'''
    1. 6.1. The Term of this EULA is indefinite and terminates automatically at the occurrence of any of the following events:
        1. 1. Your breach of or failure to comply with any term of this EULA;
        2. 2. You discontinue the use of the Apps; or
        3. 3. You request to stop using the Apps or to delete all information stored in relation to Your account.
    2. 6.2. Upon termination of this EULA, regardless of the reason of such termination, the obligations of both Parties to each other shall come to an end, except for the following provisions surviving this EULA: Article 4 (Disclaimer), Article 5 (Restrictions & Liability), Article 8 (Intellectual Property), Article 9 (Confidentiality), Article 11 (Applicable Law & Competent Court) and Article 12 (Entire Agreement, Changes & Severability).

 7. 7. '''Third Party Services & Linking'''
    1. 7.1. The Apps may contain links to other websites. We have no control over and accept no responsibility for the content of any such website to which a link from the Apps exists. We do not endorse or recommend any such third party website to which the Apps provides a link.
    2. 7.2. The Declaration App is hosted on the website of Our supplier. By clicking on the provided link You will be taken to the Declaration App provided on the website of Our supplier.
    3. 7.3. For all linking to the Apps or any information provided thereon, You need Our explicit consent.

 8. 8. '''Intellectual Property'''
    1. 8.1. The Apps are programmed by our supplier and all rights have been transferred or wholly and exclusively licensed to Us. The Apps are licensed for reasonable use only, not sold to You. You do not obtain any property right on the Apps. At all times, We remain the exclusive owner of the Apps, as well as the exclusive holder of all copyrights and other intellectual property rights on this Apps. Its code, structure and organisation are valuable trade secrets of PV CYCLE and its suppliers and are protected by Belgian copyright laws and international treaties.
    2. 8.2. All signs and names are protected by trademark law and are property of PVCYCLE.
    3. 8.3. You are not allowed to make any copies of the Apps, nor to modify, translate or adapt the Apps or to reverse engineer, decompile, disassemble or otherwise attempt to discover the source code of the Apps.

 9. 9. '''Confidentiality'''
    1. 9.1. All information exchanged between Parties or made available to each other during Your use of the Apps, that is labelled as confidential or that may be reasonably deemed as confidential, including but not limited to information available on, introduced in or processed by the Apps, is confidential. Such confidential information includes, without limitation, this EULA, the Apps, the content contained in or communicated through the Apps and price indications or offers.
    2. 9.2. Parties agree to keep all such information confidential and never to disclose such information to third parties, except for those persons acting as representatives within the Parties' organizational structure in execution of this Agreement.
    3. 9.3. Exception to the provisions of this Article is made for information:
       * - that is publicly known or available at the time of disclosure;
       * - that is independently designed or created by the disclosing party;
       * - that must be disclosed due to legal provisions, demands from public administrations or court orders.
    4. 9.4. Parties acknowledge that violation of these confidentiality provisions result in grave and irreparable harm to the original proprietor of the confidential information.

 10. 10. '''Personal Data'''
    1. 10.1. Through the use of the Apps, You may be required to submit personal data. Such personal data includes the data to be submitted upon registration in the Declaration App as a "producer" as defined in the WEEE Directive 2012/19/EU of 4 July 2012, as well as the data to be submitted in the Pick-up App for practical pick-up information and directions. All such personal data is processed in accordance with Our Privacy Policy.
    2. 10.2. Upon use of any of the Apps and upon submission of Your personal data, You expressly agree with the provisions of this Article, as well as the provisions set forth in Our Privacy Policy, to be consulted by clicking on the following link.

 11. 11. '''Applicable Law & Competent Court'''
    1. 11.1. The Agreement shall be governed by and interpreted in accordance with the laws of Belgium.
    2. 11.2. In case a dispute should arise between Parties concerning the creation, execution and interpretation of the Agreement, the competent tribunals and courts of Brussels (Belgium) have exclusive jurisdiction.

 12. 12. '''Entire Agreement, Changes & Severability'''
    1. 12.1. The present Agreement constitutes the final, complete and exclusive written expression of the intentions and Agreement of Parties hereto and shall supersede all previous communications, representations, agreements, promises or statements, either oral or written, by or between either Party.
    2. 12.2. The present Agreement shall supersede both Parties’ general terms and conditions insofar that these are contrary to any of the articles of the present Agreement. The Terms of Use, on the other hand, form an integral part of this EULA.
    3. 12.3. We reserve the right to change whole or part of this EULA. We therefore advise You to regularly consult this EULA. The new or modified EULA will be published on the same page as the previous one. Use of the Apps after such publication constitutes acceptance of the new EULA.
    4. 12.4. If a provision of this Agreement is or becomes illegal, invalid or unenforceable, such illegality, invalidity or unenforceability shall not affect the validity or enforceability of any other provision of this Agreement.

"""