# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'iq_account_manager': {
        'type': "js",
        'path': "account_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", "button", "iq_editor_manager", "iq_account_config_manager",
                    "iq_growl", "iq_menu", "iq_dialog", "iq_account_details", "iq_account_manager_css",
                    "iq_form_manager", "iq_fancyselect"]
    },

    'iq_account_overview_widget': {
        'type': "js",
        'path': "account_widget-min.js",
        'requires': ["iq_account_manager"]
    },

    'iq_account_manager_css': {
        'type': "css",
        'path': "account_manager-min.css"
    },

    'iq_account_config_manager': {
        'type': "js",
        'path': "account_config_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", "button", "iq_editor_manager",
                    "iq_growl", "iq_form_manager"]
    },

    'iq_account_preferences': {
        'type': "js",
        'path': "account_preferences-min.js",
        'requires': ["iq_manager", "iq_growl", "iq_form_manager"]
    },

    'iq_registration_dialog': {
        'type': "js",
        'path': "registration_dialog-min.js",
        'requires': ['dom', 'event', 'iq_dialog', 'iq_broker', 'iq_registration_form', 'iq_person_form',
                    "iq_registration_dialog_css", "iq_registration_random_password", 'default_theme_env']
    },
    'iq_registration_dialog_css': {
        'type': "css",
        'path': "registration_dialog-min.css"
    },

    'iq_registration_form': {
        'type': "js",
        'path': "registration_form-min.js",
        'requires': ["default_variables_scss", "iq_core", "iq_registration_form_scss", "iq_growl", "container", "button", "resize",
                     "iq_form_manager", "event", "iq_registration_random_password"]
    },

    'iq_registration_form_scss': {
        'type': "scss",
        'path': "registration_form-min.scss"
    },

    'iq_account_details': {
        'type': "js",
        'path': "account_details-min.js",
        'requires': ["iq_form_manager", "iq_dialog", "iq_person_form", "iq_address_form"]
    },

    'iq_registration_random_password': {
        'type': "js",
        'path': "registration_random_password-min.js",
        'requires': []
    },

    'iq_account_mail_plugin': {
        'type': "js",
        'path': "mail_compose_plugin-min.js",
        'requires': ['iq_mail_panel'],
    },
}
