# Copyright (c) 2013 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.contrib.dashboard.controllers import DashboardWidgetCQStateController
from django.utils.translation import ugettext_lazy as _
from basesoft.util.ordered_dict import OrderedDict

class AnnounceRecipientWidget(DashboardWidgetCQStateController):
    """
    Accountant Overview Widget
    """
    label = _('Announcement overview')
    name = 'iq_announce_recipient_widget'
    category = 'Announcement'
    permissions = ['receive_announcements']

widgets_mapper = OrderedDict([
    ('AnnounceRecipientWidget', AnnounceRecipientWidget, ),
])
