# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

"""
Base url config for the iquest.compose application
"""

from django.conf.urls.defaults import patterns
from basesoft.web.contrib.compose import views

urlpatterns = patterns('',
    (r'^publications_validation/rpc/$', views.publication_validation_rpc),
    (r'^publications_mailing_validation/rpc/$', views.publication_mailing_validation_rpc),
    (r'^bootstrap/([\w|\d|_|\-|\.]+)/(\w+)/([\w|\,\-]*)$', views.bootstrap),
)
