'''
Created on May 14, 2013

@author: marten
'''
from django.conf import settings
from basesoft.web.contrib.license.hooks import PrivilegeObjectMapper

class ContactListMapper(PrivilegeObjectMapper):

    def after_update(self, mapper, connection, instance):
        for app in settings.INSTALLED_APPS:
            try:
                m = __import__(app + '.hooks', {}, {}, [''])
            except ImportError:
                continue

            if not hasattr(m, 'ContactListAfterUpdateHook'):
                continue

            # execute the hook if found.
            m.ContactListAfterUpdateHook(connection, instance)
