/*
 * jQuery.selection - jQuery Plugin
 *
 * Copyright (c) 2010-2014 IWASAKI Koji (@madapaja).
 * http://blog.madapaja.net/
 * Under The MIT License
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
(function(C,E,D){var A=function(J){var I={text:"",start:0,end:0};if(!J.value){return I}try{if(E.getSelection){I.start=J.selectionStart;I.end=J.selectionEnd;I.text=J.value.slice(I.start,I.end)}else{if(D.selection){J.focus();var G=D.selection.createRange(),F=D.body.createTextRange(),H;I.text=G.text;try{F.moveToElementText(J);F.setEndPoint("StartToStart",G)}catch(K){F=J.createTextRange();F.setEndPoint("StartToStart",G)}I.start=J.value.length-F.text.length;I.end=I.start+G.text.length}}}catch(K){}return I};var B={getPos:function(G){var F=A(G);return{start:F.start,end:F.end}},setPos:function(G,H,J){J=this._caretMode(J);if(J=="start"){H.end=H.start}else{if(J=="end"){H.start=H.end}}G.focus();try{if(G.createTextRange){var F=G.createTextRange();if(E.navigator.userAgent.toLowerCase().indexOf("msie")>=0){H.start=G.value.substr(0,H.start).replace(/\r/g,"").length;H.end=G.value.substr(0,H.end).replace(/\r/g,"").length}F.collapse(true);F.moveStart("character",H.start);F.moveEnd("character",H.end-H.start);F.select()}else{if(G.setSelectionRange){G.setSelectionRange(H.start,H.end)}}}catch(I){}},getText:function(F){return A(F).text},_caretMode:function(F){F=F||"keep";if(F===false){F="end"}switch(F){case"keep":case"start":case"end":break;default:F="keep"}return F},replace:function(H,J,I){var G=A(H),L=H.value,K=C(H).scrollTop(),F={start:G.start,end:G.start+J.length};H.value=L.substr(0,G.start)+J+L.substr(G.end);C(H).scrollTop(K);this.setPos(H,F,I)},insertBefore:function(H,J,I){var G=A(H),L=H.value,K=C(H).scrollTop(),F={start:G.start+J.length,end:G.end+J.length};H.value=L.substr(0,G.start)+J+L.substr(G.start);C(H).scrollTop(K);this.setPos(H,F,I)},insertAfter:function(H,J,I){var G=A(H),L=H.value,K=C(H).scrollTop(),F={start:G.start,end:G.end};H.value=L.substr(0,G.end)+J+L.substr(G.end);C(H).scrollTop(K);this.setPos(H,F,I)}};C.extend({selection:function(J){var G=((J||"text").toLowerCase()=="text");try{if(E.getSelection){if(G){return E.getSelection().toString()}else{var H=E.getSelection(),F;if(H.getRangeAt){F=H.getRangeAt(0)}else{F=D.createRange();F.setStart(H.anchorNode,H.anchorOffset);F.setEnd(H.focusNode,H.focusOffset)}return C("<div></div>").append(F.cloneContents()).html()}}else{if(D.selection){if(G){return D.selection.createRange().text}else{return D.selection.createRange().htmlText}}}}catch(I){}return""}});C.fn.extend({selection:function(G,F){F=F||{};switch(G){case"getPos":return B.getPos(this[0]);case"setPos":return this.each(function(){B.setPos(this,F)});case"replace":return this.each(function(){B.replace(this,F.text,F.caret)});case"insert":return this.each(function(){if(F.mode=="before"){B.insertBefore(this,F.text,F.caret)}else{B.insertAfter(this,F.text,F.caret)}});case"get":default:return B.getText(this[0])}return this}})})(jQuery,window,window.document);