'''
Created on Sep 25, 2013

@author: marten
'''
from django.utils.translation import ugettext, ugettext_lazy as _
from basesoft.web.core.config import DefaultConfig

class MailingConfig(DefaultConfig):
    permissions = ('create_mail', )
    label = _('Mailing settings')

    def configs(self):
        return {
            'basesoft.web.contrib.mailing.default_mail_from_text': {
                'label': ugettext('Default "from" text for mailings')
            }
        }

license_configs = {
    'License' : (MailingConfig(), )
}