# Copyright (c) 2011 BaseSoft B.V.
# See LICENSE for details.

modules = {
    'iq_manual_viewer': {
        'type': "js",
        'path': "manual_viewer-min.js",
        'requires': ["iq_container", "iq_manual_css"]
    },

    'iq_manual_panel': {
        'type': "js",
        'path': "manual_panel-min.js",
        'requires': ["iq_container", "iq_form_manager", "iq_fancyselect", "iq_manual_css"]
    },

    'iq_manual_translation_panel': {
        'type': "js",
        'path': "manual_translation_panel-min.js",
        'requires': ["iq_container", "iq_form_manager", "iq_manual_css"]
    },

    'iq_manual_manager': {
        'type': "js",
        'path': "manual_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query"]
    },

    'iq_manual_index': {
        'type': "js",
        'path': "manual_index-min.js",
        'requires': ["iq_container", "iq_manual_css", "iq_manual_viewer"]
    },

    'iq_manual_css': {
        'type': 'css',
        'path': "manual-min.css"
    },
}
