# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.core.models import PrivilegeObject

class Notification(PrivilegeObject):
    """
    @DynamicAttrs
    """

    mark_as_deleted_permission = 'delete_notification'
    mark_as_archived_permission = 'archive_notification'

    _name_property = 'subject'

    def get_group_object(self):
        return (NotificationGroup, 'notification')

    def __repr__(self):
        return '<Notification id="%s">' % self.id

class NotificationGroup(object):
    """
    @DynamicAttrs
    """
    pass

class NotificationAccount(object):
    """
    @DynamicAttrs
    """
    pass
