'''
Created on Oct 9, 2013

@author: marten
'''
modules = {

    'iq_order': {
        'type': "js",
        'path': "order-min.js",
    },

    'iq_order_manager': {
        'type': "js",
        'path': "order_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", "iq_order"]
    },

    'iq_order_details': {
        'type': "js",
        'path': "order_details-min.js",
        'requires': ["iq_details_panel", "iq_order", "iq_order_details_scss"]
    },

    'iq_order_details_scss': {
        'type': "scss",
        'path': "order_details-min.scss",
    },

    'iq_order_tax_class_manager': {
        'type': "js",
        'path': "tax_class_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", ]
    },

    'iq_order_tax_class_details': {
        'type': "js",
        'path': "tax_class_details-min.js",
        'requires': ['iq_details_panel']
    },

    'iq_order_country_tax_manager': {
        'type': "js",
        'path': "tax_country_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", ]
    },

    'iq_order_country_tax_details': {
        'type': 'js',
        'path': "tax_country_details-min.js",
        'requires': ['iq_details_panel', 'iq_order_country_tax_details_css']
    },

   'iq_order_country_tax_details_css': {
        'type': 'scss',
        'path': "tax_country_details-min.scss",
    },

    'iq_order_gl_account_manager': {
        'type': "js",
        'path': "gl_account_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", ]
    },

    'iq_order_gl_account_details': {
        'type': "js",
        'path': "gl_account_details-min.js",
        'requires': ['iq_details_panel']
    },

    'iq_order_checkout': {
        'type': "js",
        'path': "order_checkout-min.js",
        'requires': ['iq_container']
    },

    'iq_order_payment_banktransfer': {
        'type': "js",
        'path': "order_payment_banktransfer-min.js",
        'requires': ['iq_order_checkout', 'iq_payment_method_details']
    },

    'iq_order_payment_ogone': {
        'type': "js",
        'path': "order_payment_ogone-min.js",
        'requires': ['iq_order_checkout', 'iq_payment_method_details']
    },

    'iq_order_payment_status_cq': {
        'type': "js",
        'path': "order_payment_status_cq-min.js",
        'requires': ["iq_manager", 'iq_custom_query', 'iq_details_panel', 'iq_order']
    },

    'iq_payment_method_manager' : {
        'type': "js",
        'path': 'payment_method_manager-min.js',
        'requires': ["iq_manager", 'iq_custom_query']
    },

    'iq_payment_method_details' : {
        'type': "js",
        'path': 'payment_method_details-min.js',
        'requires': ["iq_container"]
    },
}
