# Copyright (c) 2013 BaseSoft B.V.
# See LICENSE for details.

from pyws.server import SoapServer
from basesoft.web.contrib.soap.protocols import IQPortalSoapProtocol

class IQPortalSoapServer(SoapServer):
    def __init__(self, settings=None, *args, **kwargs):
        self.soap_protocol = IQPortalSoapProtocol(*args, **kwargs)
        super(SoapServer, self).__init__(settings)
    