
from basesoft.web.contrib.license import models as license_models

__mapping_defined = False
__tables_defined = False
tables = {}

def reset():
    global __mapping_defined
    global __tables_defined

    __mapping_defined = False
    __tables_defined = False

def get_tables():
    return tables

def do_tables(metadata):
    """
    This function is called by Django middleware when needed.
    """
    global __tables_defined
    if __tables_defined:
        return

    __tables_defined = True

def do_mappings():
    """
    This function is called by Django middleware when needed.
    """
    global __mapping_defined
    if __mapping_defined:
        return

    __mappings_defined = True

def fill_data(conn):
    pass


def app_permissions_category():
    return license_models.PermissionCategory(u'User Acceptance Testing')

def app_permissions():
    from django.utils.translation import ugettext as _
    return [
        license_models.Permission(u'set_virtual_date', u"""
            Allow modification of virtual date
            """, _("Setting of virtual date")),

        license_models.Permission(u'user_acceptance_trigger_tasks', u"""
            Allow triggering of scheduler tasks
            """, _("Direct triggering of scheduler tasks")),
    ]
