# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

"""
Base url config for the iquest.report application
"""

from django.conf.urls.defaults import patterns
from iqportal.iqube.core import views

urlpatterns = patterns('',
    (r'^rpc/$', views.json_rpc),
    (r'^datasource_validation_rpc/$', views.datasource_validation_rpc),

    (r'^xmla/$', views.xmla),
    (r'^get_iqube_role/(\d+)/(\d+)$', views.get_iqube_role),

)
