# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

"""
Base url config for the iquest.compose application
"""

from django.conf.urls.defaults import patterns
from iqportal.iquest.compose import views

urlpatterns = patterns('',
    # compose html homepage and rpc
    (r'^rpc/$', views.jsonrpc_view),

    # survey variables
    (r'^survey_variables/rpc/$', views.survey_variables_rpc),

    # itemqa filters
    (r'^itemqa_filters/rpc/$', views.itemqa_filters_rpc),

    (r'^preview_survey/(.+)/$', views.preview_survey),
    (r'^preview_publication/(.+)/$', views.preview_publication),

)
