# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'iquest_report_viewer': {

        'type': 'js',
        'path': 'iquest_report_viewer-min.js',
        'requires': ['iqreport_viewer', 'iq_infobox', 'iquest_default_result_item']
    },

    'iqreport_iquest_publication': {
        'type': "js",
        'path': "report_iquest_publication-min.js",
        'requires': ['iqreport_publication']
    },

    'iquest_default_result_item': {
        'type': 'js',
        'path': 'item_result-min.js',
        'requires': ['iqreport_canvas_result']
    },

    'iquest_graph_numericaltable': {
        'type': 'js',
        'path': 'iquest_graph_numericaltable-min.js',
        'requires': ['iqreport_graph_table']
    },

    'iquest_graph_table': {
        'type': 'js',
        'path': 'iquest_graph_table-min.js',
        'requires': ['iqreport_graph_table']
    },

    'iquest_common_report_item': {
        'type': 'js',
        'path': 'item_common-min.js',
        'requires': ['iqube_configurable_widget']
    },

    'iquest_common_report_item_css': {
        'type': 'css',
        'path': 'item_common-min.css'
    },

    'iquest_default_qa_report_item': {
        'type': 'js',
        'path': 'item_default_qa-min.js',
        'requires': ['iquest_common_report_item']
    },

    #
    'iquest_multi_qa_report_item': {
        'type': 'js',
        'path': 'item_multi_qa-min.js',
        'requires': ['iquest_common_report_item', 'iq_fancyselect']
    },

    'iquest_qa_totals_report_item': {
        'type': 'js',
        'path': 'item_qa_totals-min.js',
        'requires': ['iquest_common_report_item', 'iq_fancyselect', 'iquest_common_report_item_css']
    },

    'iquest_growth_report_item': {
        'type': 'js',
        'path': 'item_growth-min.js',
        'requires': ['iquest_common_report_item', 'iq_fancyselect', 'iquest_common_report_item_css']
    },

    'iquest_nps_item': {
        'type': 'js',
        'path': 'item_nps-min.js',
        'requires': ['iquest_common_report_item', 'iq_fancyselect', 'iquest_common_report_item_css']
    },

    'iquest_qa_totals_report_item': {
        'type': 'js',
        'path': 'item_qa_totals-min.js',
        'requires': ['iquest_common_report_item', 'iq_fancyselect', 'iquest_common_report_item_css']
    },

    'iquest_publication_statistics_item': {
        'type': 'js',
        'path': 'item_publication_statistics-min.js',
        'requires': ['iquest_common_report_item']
    },

    # errr? FIXME
    'iqube_graph_datatablecube': {
        'type': "js",
        'path': "iquest_graph_cube_table-min.js",
        'requires': ['iqreport_graph_datatablecube', 'iqube_graph_datatablecube_css', 'iqube_cube_table']
    },

    'iqube_graph_datatablecube_css': {
        'type': 'css',
        'path': 'iquest_graph_cube_table-min.css'
    },

    'iquest_global_report_filters': {
        'type': 'js',
        'path': 'item_global_filters-min.js',
        'requires': ['iq_form_manager', 'iq_container']
    },

    'iquest_report_init': {
        'type': 'js',
        'path': 'iquest_report_init-min.js',
        'requires': ['iquest_report_viewer'],
    },

    'iquest_calculated_member_hook' : {
        'type': "js",
        'path': 'iquest_calculated_member_hook-min.js',
        'requires': ['iqube_mdx_calculated_member'],
    }

}
