# Copyright (c) 2008 BaseSoft B.V.
# See LICENSE for details.

"""
Base url config for the iquest.response application
"""

from django.conf.urls.defaults import patterns
from iqportal.iquest.response import views
from basesoft.web.core.urls import version_regex

urlpatterns = patterns('',
    (r'^rpc/$', views.jsonrpc_view),
    (r'^bootstrap/%s/(js|css)/(.*)/$' % version_regex, views.bootstrap),

    (r'^display/(?P<hash>[\w+\d+]{8})/(?P<viewer_print>print/)?$', views.display),


    (r'^publication_responses_rpc/$', views.publication_responses_view),
)
