# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

def get_bits(x):
    """
    Get all the bits used in provided x
    Loop range(x) and check if 1 shifted n bits is part of x, then add 1 shifted n bits to the result
    """
    return  [ 1 << n for n in range(x) if (x & (1 << n)) != 0 ]
