# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.core.models import PrivilegeObject

class Announcement(PrivilegeObject):
    """
    @DynamicAttrs
    """

    STATUS_PENDING = 1
    STATUS_PUBLISHED = 2

    PRIV_RECEPIENT = 32

    def get_group_object(self):
        return (AnnouncementGroup, 'announcement')

    def __repr__(self):
        return '<Announcement id="%s">' % self.id

class AnnouncementGroup(object):
    """
    @DynamicAttrs
    """


class AnnouncementAccount(object):
    """
    @DynamicAttrs
    """


