# Copyright (c) 2012 BaseSoft B.V.
# See LICENSE for details.

from django.utils.translation import ugettext, ugettext_lazy as _
from basesoft.web.core.config import DefaultConfig

class ManualConfig(DefaultConfig):
    permissions = None
    label = _('Manual settings')

    def configs(self):
        return {
            'manual.context.sensitive.help': {'label': _('Show context sensitive help')},
        }

configs = (ManualConfig(), )
