'''
Created on Dec 24, 2013

@author: marten
'''
from basesoft.web.contrib.dashboard.controllers import DashboardWidgetCQStateController
from django.utils.translation import ugettext_lazy as _
from basesoft.util.ordered_dict import OrderedDict

class NotificationOverviewWidget(DashboardWidgetCQStateController):
    """
    Notification Widget (#3952)
    """
    label = _('Notification overview')
    name = 'db_notification_overview_widget'
    icon = 'icons/notification_manager.png'
    category = 'Administration'
    permissions = ['view_notification']

widgets_mapper = OrderedDict([
    ('NotificationOverviewWidget', NotificationOverviewWidget, ),
])
