# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'iq_ticket_manager': {
        'type': "js",
        'path': "ticket_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", "iq_ticket_panel"]
    },

    'iq_custom_ticket_manager': {
        'type': "js",
        'path': "custom_ticket_manager-min.js",
        'requires': ["iq_manager", "iq_custom_query", "iq_ticket_panel"]
    },

    'iq_ticket_panel_css': {
        'type': "css",
        'path': "ticket_panel-min.css"
    },

    'iq_ticket_panel': {
        'type': "js",
        'path': "ticket_panel-min.js",
        'requires': ["iq_container", "iq_form_manager", "uploader", "iq_ticket_panel_css", "iq_wiki_input_scss"]
    },

    'iq_ticket_admin': {
        'type': "js",
        'path': "ticket_admin-min.js",
        'requires': ["iq_container", "iq_form_manager", "iq_fancyselect", "iq_ticket_admin_css"]
    },

    'iq_ticket_admin_css': {
        'type': "css",
        'path': "ticket_admin-min.css"
    },

    'db_ticket_overview' : {
        'type': "js",
        'path': "db_ticket_overview-min.js",
        'requires': ['iq_ticket_manager']
    },

    'iq_ticket_init' : {
        'type': "js",
        'path': "ticket_init-min.js",
        'requires': ['iq_ticket_init_scss']
    },

    'iq_ticket_init_scss': {
        'type': "scss",
        'path': "ticket_init-min.scss"
    },

}
