'''
Created on Sep 2, 2013

@author: marten
'''
from django.http import HttpResponse

from basesoft.web.contrib.ticketing.controllers import TicketController

def view_attachment(request, ticket_id, file_name):

    tc = TicketController(request.Session(), account_id=request.session['user_id'])
    content = tc.view_attachement(ticket_id, file_name)

    response = HttpResponse(content['content'], mimetype='application/octet-stream')
    response['Content-Length'] = len(content['content'])
    response['Accept-Ranges'] = 'bytes'
    response['Content-Disposition'] = 'attachment; filename=%s' % content['filename']
    return response
