# Copyright (c) 2014 BaseSoft B.V.
# See LICENSE for details.

modules = {

    'iq_wiki_input': {
        'type': 'js',
        'path': 'wiki_input-min.js',
        'requires': ['jquery_selection', 'iq_wiki_input_scss']
    },

    'iq_wiki_input_scss': {
        'type': 'scss',
        'path': 'wiki_input-min.scss',
        'requires': ['iq_wiki_mixins_scss']
    },

    'iq_wiki_mixins_scss': {
        'type': 'scss',
        'path': 'wiki_mixins-min.scss',
        'requires': []
    },

    'iq_wiki_plugin': {
        'type': "js",
        'path': "wiki_plugin-min.js",
        'requires': ['iq_wiki_input']
    },

    'iq_wiki_translate_panel': {
        'type': "js",
        'path': "wiki_translate_panel-min.js",
        'requires': ['iq_details_panel', 'iq_wiki_input']
    },


}
