# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.core import views

modules = {

    'iq_mobile_core': {
        'type': 'js',
        'path': 'mobile_core-min.js',
        'requires': [
            'yahoo', 'dom', 'event', 'storage', 'history',
            'iq_broker',
            'iq_mobile_core_css']
    },

    'iq_mobile_core_css': {
        'type': 'css',
        'path': 'mobile_core-min.css',
    },

    'iq_mobile_gui': {
        'type': 'js',
        'path': 'mobile_gui-min.js',
        'requires': ['iq_mobile_core', 'iq_mobile_gui_css', 'iq_mobile_container', 'iq_mobile_growl']
    },

    'iq_mobile_gui_css': {
        'type': 'css',
        'path': 'mobile_gui-min.css',
    },

    'iq_mobile_container': {
        'type': 'js',
        'path': 'mobile_container-min.js',
        'requires': ['iq_mobile_container_css', 'container']
    },

    'iq_mobile_container_css': {
        'type': 'css',
        'path': 'mobile_container-min.css',
    },

    'iq_mobile_growl': {
        'type': 'js',
        'path': 'mobile_growl-min.js',
        'requires': ['iq_mobile_growl_css', 'container']
    },

    'iq_mobile_growl_css': {
        'type': 'css',
        'path': 'mobile_growl-min.css',
    },

    'mobile_app_home': {
        'type': 'js',
        'path': 'mobile_app_home-min.js',
        'requires': ['iq_mobile_gui', 'mobile_app_home_css'],
    },

    'mobile_app_home_css': {
        'type': 'css',
        'path': 'mobile_app_home-min.css',
    },


}
