# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.
# see django.web.core.util.dependencies for more information

# check for writable dirs
from django.conf import settings
import os

dirs = [settings.IQREPORT_GRAPH_LOCATION]
for path in dirs:
    if not (os.path.exists(path) and os.path.isdir(path)):
        raise Exception("Writable dir %s doesn't exist" % path)

    if not os.access(path, os.W_OK):
        raise Exception("Writable dir %s doesn't allow write access" % path)
