# Copyright (c) 2010 BaseSoft B.V.
# See LICENSE for details.

from django.utils.translation import ugettext, ugettext_lazy as _
from basesoft.web.core.config import DefaultConfig

class ComposeConfig(DefaultConfig):
    permissions = ('view_survey', )
    label = _('IQuest compose settings')

    def configs(self):
        return {
            'iquest.compose.remove.confirmation': {'label': ugettext('Show removal confirmation')},
        }

configs = (ComposeConfig(), )
