# Copyright (c) 2009 BaseSoft B.V.
# See LICENSE for details.

from django.utils.translation import ugettext_lazy as _

attributes = {
    # Text
    'minLength': _('Minimum length'),
    'maxLength': _('Maximum length'),
    'regexp': _('Regular expression'),
    # Numeric
    'minValue': _('Minimum value'),
    'maxValue': _('Maximum value'),
    'domain': _('Domain'), # is it a float/int/long/etc
    'sumValue': _('Sum'), # sum applies only if we have a filter assigned to a whole itemQA/row/column, not a cell
    # Date, Time, DateTime
    'minDate': _('Minimum date'),
    'maxDate': _('Maximum date'),
    # ItemQA level
    'minAnswersRequired': _('Minimum answers required'), # minimum number of required answers
    'maxAnswersSupplied': _('Maximum answers supplied'), # maximum number of supplied answers
}
